Subject: Re: [sacm] comments on draft-waltermire-sacm-use-cases-05

From: Chris Inacio <[email-masked]>
Date: Thu, 1 Aug 2013 07:22:31 +0000

--
Chris Inacio
[email-masked]

On Aug 1, 2013, at 7:10 AM, Adam Montville <[email-masked]> wrote:

> 
> 
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]] On Behalf Of
>> Stephen Hanna
>> Sent: Wednesday, July 31, 2013 6:38 PM
>> To: Chris Inacio; [email-masked]
>> Subject: Re: [sacm] comments on draft-waltermire-sacm-use-cases-05
>> 
>> Chris,
>> 
>> I hope you won't mind if I piggyback with a few comments of my own on this
>> document and on your very good comments.
>> 
>>> Endpoint / Asset : we should either discuss or acknowledge virtual
>>> machines (read virtual assets?) and how they should be handled here.
>> 
>> I agree. Virtual machines were intended to be included in the RFC 5209
>> definition of endpoint. However, that's not entirely clear from the text of
>> that definition. It was explained obliquely later in RFC 5209. I suggest that we
>> append the following sentence to the second paragraph in the endpoint
>> definition in draft-waltermire-use-cases:
>> 
>> Virtual devices (e.g. VM images) are also considered to be endpoints.
> 
> Is this really needed?  To me, a VM can have an IP address, and that's covered.  I guess it doesn't matter either way, but if examples start becoming the spirit of the definition, then we're going to have a long list of things as technologies evolve.  Toasters?

I think it matters, mostly because of use cases that include asset tracking.  There are a bunch of obvious other points where VM's need slightly special consideration – but it isn't clear to me from various statements in various documents that VM's are as top of mind as they might need to be.